--- old/usr/src/uts/common/fs/dev/sdev_comm.c	2015-08-19 07:24:53.829586625 -0400
+++ new/usr/src/uts/common/fs/dev/sdev_comm.c	2015-08-19 07:24:53.835422338 -0400
@@ -110,7 +110,7 @@
 {
 	clock_t	expire;
 	clock_t rv;
-	clock_t wakeup = drv_usectohz(2 * 1000000);
+	clock_t wakeup = drv_sectohz(2);
 	int rval = ENOENT;
 	int is_lookup = (cmd == SDEV_LOOKUP);
 
@@ -119,7 +119,7 @@
 
 	/* tick value at which wait expires */
 	expire = ddi_get_lbolt() +
-	    drv_usectohz(dev_node_wait_timeout * 1000000);
+	    drv_sectohz(dev_node_wait_timeout);
 
 	sdcmn_err6(("wait4lookup %s %s, %ld %d\n",
 	    is_lookup ? "lookup" : "readdir",
@@ -234,7 +234,7 @@
 	ASSERT(sdev_upcall_door == NULL);
 
 	/* timeout expires this many ticks in the future */
-	expire = ddi_get_lbolt() + drv_usectohz(dev_devfsadm_startup * 1000000);
+	expire = ddi_get_lbolt() + drv_sectohz(dev_devfsadm_startup);
 
 	if (sdev_door_upcall_filename == NULL) {
 		if ((error = sdev_start_devfsadmd()) != 0) {
